# Lxc mount mapping

This script computes the mappings to be set in a proxmox lxc container configuration file.

## Script setup

To compute the mappings, set the **uid_map** and **gid_map** variables of the script. Each entry of these array is organized as follows:

```
[container_id, host_id]
```


## Output usage

The output is split in 3 parts:

1) **Lxc configuration file settings:**
    copy all the lines at the end of the file stored in */etc/pve/lxc/<lxc_id>.conf*.

2) **subuid configuration file**
    The provided lines should be added at the end of */etc/subuid*

3) **subgid configuration file**
    The provided lines should be added at the end of */etc/subgid*


## Directory mapping

Directory mapping can be set up adding the following line in the configuration:
```
mp0: <host_directory>,mp=<container_directory>,replicate=0
```

Make sure that the user/group mapped to the cotainer is the owener of the host folder / have the correct access permissions on the folder.
